DeepFellow DOCS

Modify a specific tool

Modify a specific tool.

The applicable update variant is inferred from the existing tool's own type, not from the request body — the update schemas have no type field, so any type sent in the body is ignored.

Needs user bearer token in authorization header.

POST
/toolboxes/{toolbox_id}/tools/{tool_id}
Authorization[Bearer <token>]

In: header

Path Parameters

toolbox_id[string]

A 24-character hexadecimal MongoDB ObjectId string.

Match^[0-9a-fA-F]{24}$
tool_id[string]

A 24-character hexadecimal MongoDB ObjectId string.

Match^[0-9a-fA-F]{24}$

Header Parameters

OpenAI-Organization?[string | null]

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?[string | null]

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

server_label?[string | null]
server_url?[string | null]
allowed_tools?[array<string> | McpAllowedToolsFilter | null]
headers?[object | null]
require_approval?[McpRequireApproval]
server_description?[string | null]
background?["auto" | "transparent" | "opaque" | null]
input_image_mask?[InputImageMask | null]
model?[string | null]
moderation?[string | null]
output_compression?[integer | null]
output_format?["png" | "webp" | "jpeg" | null]
partial_images?[integer | null]
quality?["low" | "medium" | "high" | "auto" | null]
size?[string | null]
vector_store_ids?[array<string> | null]
filters?[CompoundFilter | ComparisonFilter | null]
max_num_results?[integer | null]
ranking_options?[RankingOptions | null]
server_prefix?[string | null]
server_transport?[McpTransportType | null]
tools?[array<CustomTool>]
Default[]
fetch?[McpToolData | null]
search?[McpToolData | null]

Response Body

curl -X POST "https://deepfellow-server-host/toolboxes/5eb7cf5a86d9755df3a6c593/tools/5eb7cf5a86d9755df3a6c593" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "5eb7cf5a86d9755df3a6c593",
  "definition": {
    "type": "file_search",
    "vector_store_ids": [
      "5eb7cf5a86d9755df3a6c593"
    ],
    "filters": {
      "filters": [
        {
          "key": "string",
          "type": "eq",
          "value": "string"
        }
      ],
      "type": "and"
    },
    "max_num_results": 25,
    "ranking_options": {
      "ranker": "auto",
      "score_threshold": 0
    }
  },
  "toolbox_id": "5eb7cf5a86d9755df3a6c593",
  "created_at": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.